<!DOCTYPE html>
<html>
    <head>
        <link href="./img/favicon.png" rel="shortcut icon"/>
        <meta charset="utf-8"/>
        <meta content="width=1618px, maximum-scale=1.0" name="viewport"/>
        <link href="./css/slldemoinsert.css" rel="stylesheet" type="text/css"/>
        <meta content="Launchpad by Anima" name="author">
        </meta>
    </head>
    <body style="margin: 0;
 background: rgba(255, 255, 255, 1.0);">
        <input id="anPageName" name="page" type="hidden" value="slldemoinsert"/>
        <div class="slldemoinsert">
            <div style="width: 1618px; height: 100%; position:relative; margin:auto;">
                <img anima-src="./img/slldemoinsert-path-3@2x.png" class="path3" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/slldemoinsert-path-2-copy-3@2x.png" class="path2copy3" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <div class="button">
                    <div class="rectangle">
                    </div>
                    <div class="insert">
                        Insert
                    </div>
                </div>
                <div class="button1">
                    <div class="rectangle1">
                    </div>
                    <div class="search">
                        Search
                    </div>
                </div>
                <div class="buttoncopy">
                    <div class="rectangle2">
                    </div>
                    <div class="remove">
                        Remove
                    </div>
                </div>
                <div class="rectanglecopy3">
                </div>
                <div class="previousnodeno">
                    Previous node no.
                </div>
                <div class="singlylinkedlist">
                    Singly Linked List
                </div>
                <div class="group8">
                    <img anima-src="./img/slldemoinsert-rectangle-19-copy-14@2x.png" class="rectangle19copy10" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <img anima-src="./img/slldemoinsert-rectangle-19-copy-14@2x.png" class="rectangle19copy11" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <img anima-src="./img/slldemoinsert-rectangle-19-copy-14@2x.png" class="rectangle19copy12" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <div class="rectangle19copy121">
                    </div>
                    <img anima-src="./img/slldemoinsert-rectangle-19-copy-14@2x.png" class="rectangle19copy13" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <img anima-src="./img/slldemoinsert-rectangle-19-copy-14@2x.png" class="rectangle19copy14" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <div class="a66">
                        66
                    </div>
                    <div class="a71copy2">
                        71
                    </div>
                    <div class="a13copy2">
                        13
                    </div>
                    <div class="a5copy2">
                        -5
                    </div>
                    <div class="a9copy3">
                        9
                    </div>
                    <div class="nullcopy">
                        Null
                    </div>
                    <img anima-src="./img/slldemoinsert-path-14-copy-9@2x.png" class="path14copy5" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <img anima-src="./img/slldemoinsert-path-14-copy-9@2x.png" class="path14copy6" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <img anima-src="./img/slldemoinsert-path-14-copy-9@2x.png" class="path14copy7" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <img anima-src="./img/slldemoinsert-path-14-copy-9@2x.png" class="path14copy8" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <img anima-src="./img/slldemoinsert-path-14-copy-9@2x.png" class="path14copy9" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <img anima-src="./img/slldemoinsert-group-5-copy-4@2x.png" class="group5copy4" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <div class="group5copy5">
                        <img anima-src="./img/slldemoinsert-path-15@2x.png" class="path15" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <img anima-src="./img/slldemoinsert-triangle@2x.png" class="triangle" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    </div>
                    <div class="group5copy6">
                        <img anima-src="./img/slldemoinsert-path-15 1@2x.png" class="path151" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <img anima-src="./img/slldemoinsert-triangle 1@2x.png" class="triangle1" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    </div>
                    <img anima-src="./img/slldemoinsert-oval-7-copy-4@2x.png" class="oval7copy3" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <img anima-src="./img/slldemoinsert-oval-7-copy-4@2x.png" class="oval7copy4" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <div class="group6copy3">
                        <div class="group5copy2">
                            <img anima-src="./img/slldemoinsert-path-15 4@2x.png" class="path152" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                            <img anima-src="./img/slldemoinsert-triangle 4@2x.png" class="triangle2" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        </div>
                        <img anima-src="./img/slldemoinsert-oval-7-copy@2x.png" class="oval7copy" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    </div>
                    <div class="group6copy4">
                        <div class="group5copy21">
                            <img anima-src="./img/slldemoinsert-path-15 4@2x.png" class="path153" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                            <img anima-src="./img/slldemoinsert-triangle 4@2x.png" class="triangle3" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        </div>
                        <img anima-src="./img/slldemoinsert-oval-7-copy@2x.png" class="oval7copy1" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    </div>
                    <div class="group6copy5">
                        <div class="group5copy22">
                            <img anima-src="./img/slldemoinsert-path-15 4@2x.png" class="path154" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                            <img anima-src="./img/slldemoinsert-triangle 4@2x.png" class="triangle4" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        </div>
                        <img anima-src="./img/slldemoinsert-oval-7-copy@2x.png" class="oval7copy2" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    </div>
                    <div class="headcopy">
                        Head
                    </div>
                    <div class="group6">
                        <div class="group4">
                            <img anima-src="./img/slldemoinsert-path-5@2x.png" class="path5" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        </div>
                        <div class="group4copy">
                            <img anima-src="./img/slldemoinsert-path-5@2x.png" class="path51" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        </div>
                        <div class="group4copy2">
                            <img anima-src="./img/slldemoinsert-path-5@2x.png" class="path52" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        </div>
                        <div class="group4copy3">
                            <img anima-src="./img/slldemoinsert-path-5@2x.png" class="path53" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        </div>
                        <div class="group4copy4">
                            <img anima-src="./img/slldemoinsert-path-5@2x.png" class="path54" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        </div>
                    </div>
                </div>
                <div class="group7">
                    <div class="rectanglecopy2">
                    </div>
                    <div class="typevaluecopy3">
                        type value
                    </div>
                    <div class="arrowcopy2">
                        <div class="group41">
                            <img anima-src="./img/slldemoinsert-path-6@2x.png" class="path6" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                            <img anima-src="./img/slldemoinsert-path-7@2x.png" class="path7" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        </div>
                    </div>
                    <div class="rectangle4copy">
                    </div>
                </div>
                <div class="group">
                    <img anima-src="./img/slldemoinsert-line@2x.png" class="line" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <div class="onlynumbersallowed">
                        Only numbers allowed!
                    </div>
                    <div class="group10">
                        <img anima-src="./img/slldemoinsert-path-7 4@2x.png" class="path71" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <img anima-src="./img/slldemoinsert-path-7-copy@2x.png" class="path7copy" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    </div>
                </div>
                <div class="groupcopy">
                    <img anima-src="./img/slldemoinsert-line@2x.png" class="line1" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <div class="onlynumbersallowed1">
                        Only numbers allowed!
                    </div>
                    <div class="group101">
                        <img anima-src="./img/slldemoinsert-path-7 4@2x.png" class="path72" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <img anima-src="./img/slldemoinsert-path-7-copy@2x.png" class="path7copy1" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    </div>
                </div>
                <div class="groupcopy2">
                    <img anima-src="./img/slldemoinsert-line@2x.png" class="line2" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <div class="onlynumbersallowed2">
                        Only numbers allowed!
                    </div>
                    <div class="group102">
                        <img anima-src="./img/slldemoinsert-path-7 4@2x.png" class="path73" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <img anima-src="./img/slldemoinsert-path-7-copy@2x.png" class="path7copy2" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    </div>
                </div>
                <div class="groupcopy3">
                    <img anima-src="./img/slldemoinsert-line@2x.png" class="line3" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <div class="onlynumbersallowed3">
                        Only numbers allowed!
                    </div>
                    <div class="group103">
                        <img anima-src="./img/slldemoinsert-path-7 4@2x.png" class="path74" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <img anima-src="./img/slldemoinsert-path-7-copy@2x.png" class="path7copy3" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    </div>
                </div>
                <div class="group7copy">
                    <div class="athead">
                        At head
                    </div>
                    <div class="cellseditingreveal">
                        <div class="cellframe">
                        </div>
                        <img anima-src="./img/slldemoinsert-circle@2x.png" class="circle" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    </div>
                </div>
                <div class="group11copy">
                    <div class="afteranode">
                        After a node
                    </div>
                    <div class="cellseditingrevealcopy2">
                        <div class="cellframe1">
                        </div>
                        <img anima-src="./img/slldemoinsert-circle@2x.png" class="circle1" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    </div>
                </div>
                <div class="group10copy">
                    <div class="attail">
                        At tail
                    </div>
                    <div class="cellseditingrevealcopy">
                        <div class="cellframe2">
                        </div>
                        <img anima-src="./img/slldemoinsert-circle@2x.png" class="circle2" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    </div>
                    <div class="cellseditingselectcopy2">
                        <div class="cellframe3">
                        </div>
                        <div class="float">
                            <img anima-src="./img/slldemoinsert-circle 3@2x.png" class="circle3" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                            <img anima-src="./img/slldemoinsert-check@2x.png" class="check" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        </div>
                    </div>
                </div>
                <div class="rectanglecopy31">
                </div>
                <div class="previousnodeno1">
                    Previous node no.
                </div>
                <div class="rectanglecopy21">
                </div>
                <div class="rectanglecopy4">
                </div>
                <div class="arrowcopy21">
                    <div class="group42">
                        <img anima-src="./img/slldemoinsert-path-6@2x.png" class="path61" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <img anima-src="./img/slldemoinsert-path-7@2x.png" class="path75" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    </div>
                </div>
                <div class="enterthevaluecopy">
                    Enter the value
                </div>
                <div class="enterthevaluecopy2">
                    Enter the value
                </div>
                <div class="rectangle4copy1">
                </div>
                <div class="numberfound">
                    Number found!
                </div>
            </div>
        </div>
        <!-- Scripts -->
        <script>
            anima_isHidden = function(e) {
                if (!(e instanceof HTMLElement)) return !1;
                if (getComputedStyle(e).display == "none") return !0; else if (e.parentNode && anima_isHidden(e.parentNode)) return !0;
                return !1;
            };
            anima_loadAsyncSrcForTag = function(tag) {
                var elements = document.getElementsByTagName(tag);
                var toLoad = [];
                for (var i = 0; i < elements.length; i++) {
                    var e = elements[i];
                    var src = e.getAttribute("src");
                    var loaded = (src != undefined && src.length > 0 && src != 'data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==');
                    if (loaded) continue;
                    var asyncSrc = e.getAttribute("anima-src");
                    if (asyncSrc == undefined || asyncSrc.length == 0) continue;
                    if (anima_isHidden(e)) continue;
                    toLoad.push(e);
                }
                toLoad.sort(function(a, b) {
                    return anima_getTop(a) - anima_getTop(b);
                });
                for (var i = 0; i < toLoad.length; i++) {
                    var e = toLoad[i];
                    var asyncSrc = e.getAttribute("anima-src");
                    e.setAttribute("src", asyncSrc);
                }
            };
            anima_pauseHiddenVideos = function(tag) {
                var elements = document.getElementsByTagName("video");
                for (var i = 0; i < elements.length; i++) {
                    var e = elements[i];
                    var isPlaying = !!(e.currentTime > 0 && !e.paused && !e.ended && e.readyState > 2);
                    var isHidden = anima_isHidden(e);
                    if (!isPlaying && !isHidden && e.getAttribute("autoplay") == "autoplay") {
                        e.play();
                    } else if (isPlaying && isHidden) {
                        e.pause();
                    }
                }
            };
            anima_loadAsyncSrc = function(tag) {
                anima_loadAsyncSrcForTag("img");
                anima_loadAsyncSrcForTag("iframe");
                anima_loadAsyncSrcForTag("video");
                anima_pauseHiddenVideos();
            };
            var anima_getTop = function(e) {
                var top = 0;
                do {
                    top += e.offsetTop || 0;
                    e = e.offsetParent;
                } while (e);
                return top;
            };
            anima_loadAsyncSrc();
            anima_old_onResize = window.onresize;
            anima_new_onResize = undefined;
            anima_updateOnResize = function() {
                if (anima_new_onResize == undefined || window.onresize != anima_new_onResize) {
                    anima_new_onResize = function(x) {
                        if (anima_old_onResize != undefined) anima_old_onResize(x);
                        anima_loadAsyncSrc();
                    };
                    window.onresize = anima_new_onResize;
                    setTimeout(function() {
                        anima_updateOnResize();
                    }, 3000);
                }
            };
            anima_updateOnResize();
            setTimeout(function() {
                anima_loadAsyncSrc();
            }, 200);
        </script>
        <!-- End of Scripts -->
    </body>
</html>
